4Suite™ API Documentation

# ► Module Ft.Server.Server.MessageSource

Misc error codes and messages for the repository servers
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Error |  |  |  | Fields: g_errorMessages

## Classes

class Error

### Fields

ALREADY_GROUP_MEMBER = 3000
BROKEN_ALIAS = 30
CONFIG_FILE_MISSING = 14
CONFIG_INVALID_CORE_ID = 15
CONFIG_INVALID_REPOSITORY = 16
CONFIG_INVALID_VALUE = 13
CONFIG_MISSING_PROPERTY = 11
CONFIG_MULTIPLE_PROPERTIES = 12
CONFIG_NOT_FOUND = 10
DRIVER_UNAVAILABLE = 18
EXTENSION_MISSING_REQUIRED_ATTRIBUTE = 2500
GROUP_EXISTS = 35
INTERNAL_ERROR = 1
INVALID_ACL_IDENT = 33
INVALID_LOGIN = 22
INVALID_PATH = 20
INVALID_SESSION = 4
INVALID_XML = 1000
LOG_URIREF_MISSING = 60
NOT_SUPPORTED = 51
NO_REMOTE_REPO_ACCESS = 28
OBJECT_DELETED = 31
PATH_EXISTS = 23
PERMISSION_DENIED = 32
RELATIVE_PATH_FOR_FTSS_URI = 27
RELATIVE_PATH_IN_FTSS_URI = 26
RESOURCE_NOT_FOUND = 29
SWISH_NOT_SUPPORTED = 2000
TRANSACTION_IN_PROGRESS = 2
TRANSACTION_NOT_IN_PROGRESS = 3
UNABLE_TO_INITALIZE_REPO = 100
UNKNOWN_DRIVER_ERROR = 17
UNKNOWN_PATH = 21
UNKNOWN_RESOURCE_TYPE = 24
UNKNOWN_RPC_COMMAND = 52
UNKNOWN_SERVER = 50
UNKNOWN_VALIDATION_TYPE = 1010
UNSUPPORTED_FTSS_URI_SCHEME = 25
USER_EXISTS = 34
USER_XSLT_DOCDEF_EXCEPTION = 42
VALIDATION_ERROR = 1001
XML_PARSE_EXCEPTION = 40
XSLT_PARSE_EXCEPTION = 41

## Fields

g_errorMessages = {1: 'There is an internal bug in 4Suite. Please make .../listinfo/4suite. The error code to report is: %s', 2: 'Transaction already in progress', 3: 'Transaction not in progress', 4: 'Your session ID is invalid', 10: 'Unable to find configuration file. Please set FTSERVER_CONFIG_FILE in your environment.', 11: 'Missing required configuration property %(property)s. Please specify in the configuration file', 12: 'Multiple configuration properties: %(property)s', 13: 'Configuration property %(property)s has invalid value %(reason)s', 14: 'Unable to find configuration file %(file)s.', 15: "Invalid Core ID '%(name)s'. Make sure config file has rdf:ID on Core element.", ...}